// Mod DP 27/9/11 - change subtitle query string name from "subLanguage" to "lang"
// Mod DP Dec 2020 - now uses MP4 instead of Flash

function getVideo() {
	var leaf = getLeafName();
	var menuName = getMenuName();

	if ( menuName==undefined ) return false;
	if ( videoPages==undefined ) return false;
	if ( videoPages[menuName]==undefined ) return false;
	return videoPages[menuName][leaf];
}

function outputVideoMenu() {
	var leaf = getLeafName();
	var menuName = getMenuName();
	if ( !menuName ) return;
	if ( !videoPages ) return;
	var vpages = videoPages[menuName];

	if ( !vpages ) return;
	var qs = getCurrentQuery();
	
	document.write('<div class="pagemenu">\n');
	for (var v in vpages) {
		var page = vpages[v];
		var atts="";
		if ( v==leaf ) atts+=' class="currentmenu" ';
		document.write (
			'<p'+atts+'><a href="'+v+qs+'"><img class="photo" src="pics/'+page.image+'" title="'+page.imagetitle+'"/></a>'+
			'<br/><a href="'+v+qs+'" class="lnk">'+page.title+'</a></p>'
		);
	}
	document.write('</div>');
	
}


function outputMovieTitle() {
	var vid = getVideo();
	document.write('<h1>'+vid.title+'</h1>');
}

function getAllSubLanguages() {
	var keys = Array();
	for ( var k in subLanguages ) keys.push(k);
	return keys;
}

function outputSubtitleMenu(label) {
	var video = getVideo();
	if ( !video ) return;
	
	
	if ( video.subtitles!=false ) {

		var langs;

		if ( video.subtitles==true )
			langs = getAllSubLanguages();
		else
			langs=video.subtitles;

		document.write('<div class="subtitlemenu"><p>'+label+" ");

		if ( !language ) {
			language=defaultSubLanguage;
		}
		
		for ( var i in langs ) {
			var selected="";
			var k=langs[i];
			if (k==language ) selected=' checked="checked" ';
			document.write('<input name="selectsub" onChange="setSubtitleLanguage(this)" type="radio" value="'+k+'"'+selected+'>'+subLanguages[k]+'</input>');
		}
		document.write('</p></div>');

	}
}

function setSubtitleLanguage(control) {
	if ( language!=control.value ) {
		language=control.value; location.search=getCurrentQuery();
	}
}

function includeMoviePlayer() {
	var video = getVideo();
	if ( !video ) return;
	
	var captions=false;
	var mp4path = '../movies/'+escape(video.movie)+".mp4";
	
	var bgcolor = embed ? "#ffffff" : "#f2e4dc";
	// var bgcolor =  "#99CCFF";
	
	document.write('<video class="pdplayer" controls  title="'+video.title+'">\n');
	document.write('<source src="'+mp4path+'" type="video/mp4">\n');

	if ( video.subtitles!=false ) {

		var langs;

		if ( video.subtitles==true )
			langs = getAllSubLanguages();
		else
			langs=video.subtitles;

		if ( !language ) {
			language=defaultSubLanguage;
		}
		
		for ( var i in langs ) {
			var selected="";
			var k=langs[i];
			if (k==language ) selected=' default ';
			var subsrc = "../movies/"+escape(video.movie)+"_"+k+".vtt";
			if ( k != "none" ) document.write('<track kind="subtitles" label="'+subLanguages[k]+'" srclang="'+k+'" src="'+subsrc+'"'+selected+'/>');

		}

	}
	document.write('</video>\n');
}

